Bug 133356 - [PATCH] mail/crm114: Add option to build with Profile-Guided Optimization
Summary: [PATCH] mail/crm114: Add option to build with Profile-Guided Optimization
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-04 05:20 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2009-04-22 02:30 UTC (History)
1 user (show)

See Also:


Attachments
crm114-20080326_2.patch (1.90 KB, patch)
2009-04-04 05:20 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2009-04-04 05:20:01 UTC
- Add WITH_PGO to build with Profile-Guided Optimization
- Profile-Guided Optimization build support is off per default

Port maintainer (hideo@lastamericanempire.com) is cc'd.

Generated with FreeBSD Port Tools 0.77

- For information on Profile-Guided Optimization:

http://en.wikipedia.org/wiki/Profile-guided_optimization

------- RECIPE
	1) Compile everything with CFLAGS/LDFLAGS containing
	  '-fprofile-generate';

	2) Run lots of test cases to generate profiling information;

	3) Remove all binaries leaving only the profiling information behind;

	4) Replace all instances of '-fprofile-generate' with
	   '-fprofile-use';

	5) Re-compile everything using the profiling information.
-------
Comment 1 Edwin Groothuis freebsd_committer 2009-04-04 05:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-04-04 05:20:17 UTC
Maintainer of mail/crm114,

Please note that PR ports/133356 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133356

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-04-04 05:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 hideo 2009-04-13 15:15:30 UTC
Edwin Groothuis (Sat 04/04/09 04:20):
> Maintainer of mail/crm114,
> 
> Please note that PR ports/133356 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133356

Looks good.  Approved, thank you.

Zach
Comment 5 Mario Sergio Fujikawa Ferreira freebsd_committer 2009-04-22 02:27:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-04-22 02:27:33 UTC
lioux       2009-04-22 01:27:20 UTC

  FreeBSD ports repository

  Modified files:
    mail/crm114          Makefile 
  Log:
  Add WITH_PGO to build with Profile-Guided Optimization
  
  PR:             133356
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.25      +37 -3     ports/mail/crm114/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"